Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.walletsuite.io/api/staking/positions/{address} \ --header 'x-api-key: <api-key>'
{ "ok": true, "code": "<string>", "message": "<string>", "data": { "chain": "<string>", "address": "<string>", "positions": [ { "chain": "<string>", "address": "<string>", "validatorId": "<string>", "stakedAmountWei": 123, "rewardsWei": 123, "status": "<string>", "updatedAt": "2023-11-07T05:31:56Z", "unfreezeExpireTimeMs": 123 } ] } }
API key provided by WalletSuite team
OK
Show child attributes
Was this page helpful?